Package com.logicaldoc.core.document

# Class HibernateDocumentLinkDAO

java.lang.Object
com.logicaldoc.core.HibernatePersistentObjectDAO<DocumentLink>
com.logicaldoc.core.document.HibernateDocumentLinkDAO

All Implemented Interfaces:
  `DocumentLinkDAO`, `PersistentObjectDAO<DocumentLink>`

@Repository("documentLinkDAO") public class HibernateDocumentLinkDAO extends HibernatePersistentObjectDAO<DocumentLink> implements DocumentLinkDAO
Hibernate implementation of `DocumentLinkDAO`

Since:
  4.0
Author:
  Matteo Caruso - LogicalDOC

## Field Summary

### Fields inherited from interface com.logicaldoc.core.PersistentObjectDAO

`ENTITY`

## Constructor Summary

Constructors
Constructor
Description
`HibernateDocumentLinkDAO()`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete(long id, int code)`
This method deletes an entity and you can give a deletion code
`List<DocumentLink>`
`findByDocId(long docId)`
This method finds the list of document link in which there is a document with the given ID
`List<DocumentLink>`
`findByDocId(long docId, String type)`
This method finds the list of document link, filtered by the given link type, in which there is a document with the given ID
`DocumentLink`
`findByDocIdsAndType(long docId1, long docId2, String type)`
Find a document link using its alternate keys
`void`
`store(DocumentLink entity)`
This method persists the entity object

### Methods inherited from class com.logicaldoc.core.HibernatePersistentObjectDAO

`bulkUpdate, count, deleteAll, evict, evict, findById, findByObjectQuery, findByQuery, findByQuery, findByWhere, findIdsByWhere, getDatabaseMetadata, initialize, jdbcUpdate, jdbcUpdate, query, queryForDouble, queryForDouble, queryForInt, queryForInt, queryForList, queryForList, queryForList, queryForLong, queryForLong, queryForObject, queryForObject, queryForResultSet, queryForString, queryForString, setSessionFactory`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.logicaldoc.core.PersistentObjectDAO

`bulkUpdate, count, count, count, delete, deleteAll, deleteAll, evict, evict, findAll, findAll, findAllIds, findAllIds, findById, findById, findByObjectQuery, findByQuery, findByQuery, findByWhere, findByWhere, findIdsByWhere, findIdsByWhere, getDatabaseMetadata, getDbms, initialize, initialize, isMariaDB, isMySQL, isOracle, isPostgreSQL, isSQLServer, jdbcUpdate, jdbcUpdate, query, query, queryForDouble, queryForDouble, queryForInt, queryForInt, queryForList, queryForList, queryForList, queryForLong, queryForLong, queryForObject, queryForObject, queryForResultSet, queryForString, queryForString`

## Constructor Details

### HibernateDocumentLinkDAO

public HibernateDocumentLinkDAO()

## Method Details

### findByDocId

public List<DocumentLink> findByDocId(long docId) throws PersistenceException
Description copied from interface: `DocumentLinkDAO`
This method finds the list of document link in which there is a document with the given ID

Specified by:
  `findByDocId` in interface `DocumentLinkDAO`
Parameters:
  `docId` - ID of the document
Returns:
  The list of document link
Throws:
  `PersistenceException` - Error in the database

### findByDocId

public List<DocumentLink> findByDocId(long docId, String type) throws PersistenceException
Description copied from interface: `DocumentLinkDAO`
This method finds the list of document link, filtered by the given link type, in which there is a document with the given ID

Specified by:
  `findByDocId` in interface `DocumentLinkDAO`
Parameters:
  `docId` - ID of the document
  `type` - Type of each document link in the return list
Returns:
  The list of document link
Throws:
  `PersistenceException` - Error in the database

### findByDocIdsAndType

public DocumentLink findByDocIdsAndType(long docId1, long docId2, String type) throws PersistenceException
Description copied from interface: `DocumentLinkDAO`
Find a document link using its alternate keys

Specified by:
  `findByDocIdsAndType` in interface `DocumentLinkDAO`
Parameters:
  `docId1` - identifier of the first document
  `docId2` - identifier of the second
  `type` - the document type(null or pdf
Returns:
  The found instance
Throws:
  `PersistenceException` - Error in the database

### delete

public void delete(long id, int code) throws PersistenceException
Description copied from interface: `PersistentObjectDAO`
This method deletes an entity and you can give a deletion code

Specified by:
  `delete` in interface `PersistentObjectDAO<DocumentLink>`
Overrides:
  `delete` in class `HibernatePersistentObjectDAO<DocumentLink>`
Parameters:
  `id` - ID of the entity which should be deleted
  `code` - Deletion code
Throws:
  `PersistenceException` - raised in case of errors in the database

### store

public void store(DocumentLink entity) throws PersistenceException
Description copied from interface: `PersistentObjectDAO`
This method persists the entity object

Specified by:
  `store` in interface `PersistentObjectDAO<DocumentLink>`
Overrides:
  `store` in class `HibernatePersistentObjectDAO<DocumentLink>`
Parameters:
  `entity` - entity to be stored
Throws:
  `PersistenceException` - raised in case of errors in the database